org.apache.felix.ipojo

## Class IPojoFactory.DefaultNameGenerator

- java.lang.Object
- - org.apache.felix.ipojo.IPojoFactory.DefaultNameGenerator

All Implemented Interfaces:
  IPojoFactory.NameGenerator

Enclosing class:
  IPojoFactory

    public static class IPojoFactory.DefaultNameGenerator
    extends java.lang.Object
    implements IPojoFactory.NameGenerator

This generator implements the default naming strategy. The name is composed of the factory name suffixed with a unique number identifier (starting from 0).

### Constructor Summary

Constructors
Constructor and Description
`DefaultNameGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `generate(Factory factory, java.util.List<java.lang.String> reserved)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultNameGenerator

    public DefaultNameGenerator()

### Method Detail

#### generate

    public java.lang.String generate(Factory factory,
                                     java.util.List<java.lang.String> reserved)
                              throws UnacceptableConfiguration

Specified by:
  `generate` in interface `IPojoFactory.NameGenerator`
Parameters:
  `factory` - Factory called to create the instance
  `reserved` - List of reserved (already used) instance names. This has to be used tp ensure generated name is unique among all other instances.
Returns:
  a unique name.
Throws:
  `UnacceptableConfiguration`